'use strict'
// @ts-check

const _ = require('lodash')
const morgan = require('morgan')
const config = require('config')
const Logger = require('@fizz.js/node-logger')

/**
 *
 * @description Returns a function for `Middleware` for setup morgan log
 */
const RequestLogger = (req, res, next) =>
  morgan(_.get(config, 'requestLogger.format'), {
    stream: Logger,
    immediate: true
  })(req, res, next)

module.exports = RequestLogger
